import request from '@/utils/request'

// 查询订单列表
export function listOrder(query) {
  return request({
    url: '/bst/order/list',
    method: 'get',
    params: query
  })
}

// 查询订单详细
export function getOrder(id) {
  return request({
    url: '/bst/order/' + id,
    method: 'get'
  })
}

// 新增订单
export function addOrder(data) {
  return request({
    url: '/bst/order',
    method: 'post',
    data: data
  })
}

// 修改订单
export function updateOrder(data) {
  return request({
    url: '/bst/order',
    method: 'put',
    data: data
  })
}

// 删除订单
export function delOrder(id) {
  return request({
    url: '/bst/order/' + id,
    method: 'delete'
  })
}

// 删除订单
export function endOrder(orderId) {
  return request({
    url: '/bst/order/end',
    method: 'put',
    data: {
      orderId
    }
  })
}

// 订单退款
export function refundOrder(data) {
  return request({
    url: '/bst/order/refund',
    method: 'put',
    data: data
  })
}
